{% extends "base.html" %}

{% block content %}
  <h2>{{boughtgame.game.title}}</h2>
  <iframe id='game-frame' src={{boughtgame.game.url}} width="460" height="380"></iframe>
  <br />
  <h2>Scores</h2>
  <ol>
    {% for score in scores %}
      <li>{{score.user}}: {{score.score}}</li>
    {% endfor %}
  </ol>
{% endblock %}

{% block script %}
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

  <script>
    window.addEventListener("message", handleMessage, false);

    function handleMessage(message) {
      const data = message.data;
      const csrftoken = getCookie('csrftoken');
      headers = {'X-CSRFToken': csrftoken}
      if(data.messageType === 'SCORE') {
        const postData = {"score": data.score, 'csrfmiddlewaretoken': '{{ csrf_token }}'}
        $.ajax({
          method: "POST",
          url: "{{boughtgame.id}}/score",
          data: JSON.stringify(postData),
          dataType: 'json',
          contentType: 'application/json',
          headers,
        });
      }
    }


    function getCookie(name) {
      var cookieValue = null;
      if (document.cookie && document.cookie !== '') {
          var cookies = document.cookie.split(';');
          for (var i = 0; i < cookies.length; i++) {
              var cookie = cookies[i].trim();
              // Does this cookie string begin with the name we want?
              if (cookie.substring(0, name.length + 1) === (name + '=')) {
                  cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                  break;
              }
          }
      }
      return cookieValue;
    }
  </script>
{% endblock %}
